package org.usfirst.frc.team3501.robot.commands.auton;

import org.usfirst.frc.team3501.robot.Constants;
import org.usfirst.frc.team3501.robot.commands.driving.DriveDistance;
import org.usfirst.frc.team3501.robot.commands.driving.DriveForTime;

import edu.wpi.first.wpilibj.command.CommandGroup;

/***
 * This command will drive the robot through the rock wall.
 *
 * dependency on subsystems: drivetrain
 *
 * dependency on other commands: DriveForTime
 *
 * pre-condition: robot is flush against the ramp of the outerworks in front of
 * the rock wall
 *
 * post-condition: the robot has passed the rock wall and is in the next zone
 *
 * @author Meryem and Avi
 *
 */

public class PassRockWall extends CommandGroup {

  public PassRockWall() {
    if (Constants.Auton.IS_USING_TIME) {
      addSequential(new DriveForTime(Constants.Auton.PASS_ROCK_WALL_TIME,
          Constants.Auton.PASS_ROCK_WALL_SPEED));
    }
    else {
      addSequential(new DriveDistance(
          Constants.Auton.PASS_ROCK_WALL_DIST,
          Constants.DriveTrain.PASS_DEFENSE_TIMEOUT));
    }

  }
}
