package org.usfirst.frc.team3501.robot.commands.intakearm;

import org.usfirst.frc.team3501.robot.Robot;

import edu.wpi.first.wpilibj.command.Command;

/***
 * This command will continually roll the rollers of the intake arm in the
 * outwards direction and stop the rollers once the command is canceled.
 *
 * pre-condition: This command must be called by a button with the method
 * .whileHeld() in OI
 *
 * @author Lauren and Niyati
 *
 */

public class BallRollerExpelContinuous extends Command {

  public BallRollerExpelContinuous() {
    requires(Robot.intakeArm);
  }

  @Override
  protected void initialize() {
    Robot.intakeArm.outputBall();
  }

  @Override
  protected void execute() {

  }

  @Override
  protected boolean isFinished() {
    return true;
  }

  @Override
  protected void end() {
    Robot.intakeArm.stopRollers();
  }

  @Override
  protected void interrupted() {
    end();
  }
}
